# Summary

- [Introduction](./introduction.md)
- [Base ledger](./base-ledger.md)
    - [Core Concepts](./base-ledger/core-concepts.md)
    - [Execution](./base-ledger/execution.md)
    - [Governance](./base-ledger/governance.md)
    - [Default account](./base-ledger/default-account.md)
    - [Multisignature account](./base-ledger/multisignature.md)
    - [Fungible token](./base-ledger/fungible-token.md)
- [Multi-asset shielded pool](./masp.md)
    - [Ledger integration](./masp/ledger-integration.md)
    - [Asset type](./masp/asset-type.md)
    - [Burn & mint](./masp/burn-and-mint.md)
    - [Convert circuit](./masp/convert-circuit.md)
    - [Trusted setup](./masp/trusted-setup.md)
- [Interoperability](./interoperability.md)
    - [Ethereum bridge](./interoperability/ethereum-bridge.md)
    - [IBC](./interoperability/ibc.md)
- [Economics](./economics.md)
    - [Fee system](./economics/fee-system.md)
    - [Inflation system](./economics/inflation-system.md)
    - [Proof-of-stake](./economics/proof-of-stake.md)
        - [Bonding mechanism](./economics/proof-of-stake/bonding-mechanism.md)
        - [Cubic slashing](./economics/proof-of-stake/cubic-slashing.md)
        - [Reward distribution](./economics/proof-of-stake/reward-distribution.md)
    - [Shielded pool incentives](./economics/shielded-pool-incentives.md)
    - [Public goods funding](./economics/public-goods-funding.md)
- [Further reading](./further-reading.md)
